/* loaders */

.loader {
    height: 1rem;
    width: 1rem;
    background: #FFFFFF;
    border-radius: 50%;
    position: relative;
  }
  .loader::before, .loader::after {
    border-radius: inherit;
    content: "";
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    margin: auto;
    position: absolute;
    -webkit-animation: animate 2s ease infinite alternate;
            animation: animate 2s ease infinite alternate;
  }
  .loader::before {
    box-shadow: 0px 0px 0px transparent, 0rem 1rem #a19de6, -1rem 0rem #a19de6, 0rem -1rem #a19de6, 1rem 0rem #a19de6;
  }
  .loader::after {
    box-shadow: 0px 0px 0px transparent, 0rem 2rem #655dcf, -2rem 0rem #655dcf, 0rem -2rem #655dcf, 2rem 0rem #655dcf;
    -webkit-animation-delay: 0.15s;
            animation-delay: 0.15s;
  }
  @-webkit-keyframes animate {
    to {
      transform: rotate(360deg);
    }
  }
  @keyframes animate {
    to {
      transform: rotate(360deg);
    }
  }




  /* segundo */


  .typewriter {
    --blue: #fc7840;
    --blue-dark: #fe5004;
    --key: #fff;
    --paper: #EEF0FD;
    --text: #D3D4EC;
    --tool: #FBC56C;
    --duration: 3s;
    position: relative;
    -webkit-animation: bounce var(--duration) linear infinite;
            animation: bounce var(--duration) linear infinite;
  }
  .typewriter .slide {
    width: 92px;
    height: 20px;
    border-radius: 3px;
    margin-left: 14px;
    transform: translateX(14px);
    background: linear-gradient(var(--blue), var(--blue-dark));
    -webkit-animation: slide var(--duration) ease infinite;
            animation: slide var(--duration) ease infinite;
  }
  .typewriter .slide:before, .typewriter .slide:after,
  .typewriter .slide i:before {
    content: "";
    position: absolute;
    background: var(--tool);
  }
  .typewriter .slide:before {
    width: 2px;
    height: 8px;
    top: 6px;
    left: 100%;
  }
  .typewriter .slide:after {
    left: 94px;
    top: 3px;
    height: 14px;
    width: 6px;
    border-radius: 3px;
  }
  .typewriter .slide i {
    display: block;
    position: absolute;
    right: 100%;
    width: 6px;
    height: 4px;
    top: 4px;
    background: var(--tool);
  }
  .typewriter .slide i:before {
    right: 100%;
    top: -2px;
    width: 4px;
    border-radius: 2px;
    height: 14px;
  }
  .typewriter .paper {
    position: absolute;
    left: 24px;
    top: -26px;
    width: 40px;
    height: 46px;
    border-radius: 5px;
    background: var(--paper);
    transform: translateY(46px);
    -webkit-animation: paper var(--duration) linear infinite;
            animation: paper var(--duration) linear infinite;
  }
  .typewriter .paper:before {
    content: "";
    position: absolute;
    left: 6px;
    right: 6px;
    top: 7px;
    border-radius: 2px;
    height: 4px;
    transform: scaleY(0.8);
    background: var(--text);
    box-shadow: 0 12px 0 var(--text), 0 24px 0 var(--text), 0 36px 0 var(--text);
  }
  .typewriter .keyboard {
    width: 120px;
    height: 56px;
    margin-top: -10px;
    z-index: 1;
    position: relative;
  }
  .typewriter .keyboard:before, .typewriter .keyboard:after {
    content: "";
    position: absolute;
  }
  .typewriter .keyboard:before {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: 7px;
    background: linear-gradient(135deg, var(--blue), var(--blue-dark));
    transform: perspective(10px) rotateX(2deg);
    transform-origin: 50% 100%;
  }
  .typewriter .keyboard:after {
    left: 2px;
    top: 25px;
    width: 11px;
    height: 4px;
    border-radius: 2px;
    box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    -webkit-animation: keyboard var(--duration) linear infinite;
            animation: keyboard var(--duration) linear infinite;
  }

  @-webkit-keyframes bounce {
    85%, 92%, 100% {
      transform: translateY(0);
    }
    89% {
      transform: translateY(-4px);
    }
    95% {
      transform: translateY(2px);
    }
  }

  @keyframes bounce {
    85%, 92%, 100% {
      transform: translateY(0);
    }
    89% {
      transform: translateY(-4px);
    }
    95% {
      transform: translateY(2px);
    }
  }
  @-webkit-keyframes slide {
    5% {
      transform: translateX(14px);
    }
    15%, 30% {
      transform: translateX(6px);
    }
    40%, 55% {
      transform: translateX(0);
    }
    65%, 70% {
      transform: translateX(-4px);
    }
    80%, 89% {
      transform: translateX(-12px);
    }
    100% {
      transform: translateX(14px);
    }
  }
  @keyframes slide {
    5% {
      transform: translateX(14px);
    }
    15%, 30% {
      transform: translateX(6px);
    }
    40%, 55% {
      transform: translateX(0);
    }
    65%, 70% {
      transform: translateX(-4px);
    }
    80%, 89% {
      transform: translateX(-12px);
    }
    100% {
      transform: translateX(14px);
    }
  }
  @-webkit-keyframes paper {
    5% {
      transform: translateY(46px);
    }
    20%, 30% {
      transform: translateY(34px);
    }
    40%, 55% {
      transform: translateY(22px);
    }
    65%, 70% {
      transform: translateY(10px);
    }
    80%, 85% {
      transform: translateY(0);
    }
    92%, 100% {
      transform: translateY(46px);
    }
  }
  @keyframes paper {
    5% {
      transform: translateY(46px);
    }
    20%, 30% {
      transform: translateY(34px);
    }
    40%, 55% {
      transform: translateY(22px);
    }
    65%, 70% {
      transform: translateY(10px);
    }
    80%, 85% {
      transform: translateY(0);
    }
    92%, 100% {
      transform: translateY(46px);
    }
  }
  @-webkit-keyframes keyboard {
    5%, 12%, 21%, 30%, 39%, 48%, 57%, 66%, 75%, 84% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    9% {
      box-shadow: 15px 2px 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    18% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 2px 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    27% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 12px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    36% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 12px 0 var(--key), 60px 12px 0 var(--key), 68px 12px 0 var(--key), 83px 10px 0 var(--key);
    }
    45% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 2px 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    54% {
      box-shadow: 15px 0 0 var(--key), 30px 2px 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    63% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 12px 0 var(--key);
    }
    72% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 2px 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    81% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 12px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
  }
  @keyframes keyboard {
    5%, 12%, 21%, 30%, 39%, 48%, 57%, 66%, 75%, 84% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    9% {
      box-shadow: 15px 2px 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    18% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 2px 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    27% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 12px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    36% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 12px 0 var(--key), 60px 12px 0 var(--key), 68px 12px 0 var(--key), 83px 10px 0 var(--key);
    }
    45% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 2px 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    54% {
      box-shadow: 15px 0 0 var(--key), 30px 2px 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    63% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 12px 0 var(--key);
    }
    72% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 2px 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 10px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
    81% {
      box-shadow: 15px 0 0 var(--key), 30px 0 0 var(--key), 45px 0 0 var(--key), 60px 0 0 var(--key), 75px 0 0 var(--key), 90px 0 0 var(--key), 22px 10px 0 var(--key), 37px 12px 0 var(--key), 52px 10px 0 var(--key), 60px 10px 0 var(--key), 68px 10px 0 var(--key), 83px 10px 0 var(--key);
    }
  }
  .dribbble {
    position: fixed;
    display: block;
    right: 20px;
    bottom: 20px;
  }
  .dribbble img {
    display: block;
    height: 28px;
  }

  /* tercera */

  .tittle {
    margin-bottom: 40px;
    color: #fe5004;
    letter-spacing: 4px;
    text-transform: uppercase;
  }

  .square-container {
    list-style-type: none;
    display: flex;
    position: relative;
  }

  .square {
    margin: 4px;
    width: 30px;
    height: 30px;
    border-radius: 7px;
    animation: rotating 0.9s ease infinite;
  }

  .square1 {
    background: #fe5004;
    animation-delay: 0.01s;
  }

  .square2 {
    background: #f06d36;
    animation-delay: 0.03s;
  }

  .square3 {
    background: #fa7d47;
    animation-delay: 0.05s;
  }

  .square4 {
    background: #ff9a6e;
    animation-delay: 0.07s;
  }

  .square5 {
    background: #ffb190;
    animation-delay: 0.10s;
  }

  @keyframes rotating {
    0% {
      transform: rotate(0) scale(1);
    }
    50% {
      transform: rotate(90deg) scale(0.6);
    }
    100% {
      transform: rotate(90deg) scale(1);
    }
  }

  /* end loaders */

  /* Estilos generales */
.text-ajust {
    overflow:hidden;
    margin:auto;
    display:block;
}

.botonF1{
    width:53px;
    height:53px;
    border-radius:100%;
    /* background:#7367F0; */
    background:#fe5004;
    right:0;
    bottom:0;
    /* bottom:10px;right:10px;position:fixed; */
    position:fixed;
    margin-right:16px;
    margin-bottom:16px;
    border:none;
    outline:none;
    color:#FFF;
    font-size:36px;
    box-shadow: 0 3px 6px rgba(0,0,0,0.16), 0 3px 6px rgba(0,0,0,0.23);
    transition:.3s;
}
.plus-span{
    transition:.5s;
}
.botonF1:hover span{
    transform:rotate(360deg);
}
.botonF1:active{
    transform:scale(1.4);
}

.input-failed {
    border-color: red;
}

.enlace a {
    color: #FFFFFF !important;
    text-decoration: underline;
    font-weight: 700;
}

.no-drop {
    cursor: no-drop;
}
.required-input {
    color: #e66f45;
    font-size: 13px;
}
.fade-enter-active, .fade-leave-active {
    transition: opacity .5s;
}
.fade-enter, .fade-leave-to {
    opacity: 0;
}
.font-20 {
    font-size: 20px !important;
}
.font-18 {
  font-size: 18px !important;
}
.font-15 {
  font-size: 15px !important;
}
.font-13 {
  font-size: 13px !important;
}
.font-12 {
  font-size: 12px !important;
}
.font-11 {
  font-size: 11px !important;
}
.font-10 {
  font-size: 10px !important;
}

.font-14 {
  font-size: 14px !important;
}

.font-16 {
    font-size: 16px !important;
}
.font-17 {
    font-size: 17px !important;
}

.font-19 {
    font-size: 19px !important;
}

/* @media only screen and (max-width: 1999px) {
    .font-14 {
      font-size: 11px !important;
    }
} */

.active-state {
  border: 2px solid #fe5004;
  box-shadow: 11px 11px 11px #d0d2d6;
}

.collapsible-section-header .des:after {
    content: "▼";
    padding-left: 0.5em;
  }

  .collapsible-section-header .des.collapsed:after {
    content: "►";
    padding-left: 0.5em;
  }

  @keyframes pulse {
    0% { box-shadow: 0 0 0 0px rgba(0, 0, 0, 0.518),0 0 0 0px rgba(0, 0, 0, 0.276);  }
    50% { transform: scale(0.98); }
    100% { box-shadow: 0 0 0 8px rgba(0,210,255,0),0 0 0 8px rgba(0,210,255,0); }
  }


.disabled-li-history {
    pointer-events:none;
    opacity:0.6;
}

.draggable {
    cursor: grab;
}

.disabled-li-history-2 {
    pointer-events:none;
    opacity:0.7;
}

.card-dashed-custom {
    border-width: 2px;
    border-style: dashed;
    border-color: #ccc;
    border-radius: 10px;
}

.card-dashed-custom:hover {
    border-color: #FE9804; /* Cambiar el color del borde al hacer hover */
}

.card-dashed-custom:hover .far.fa-folder {
    color: #FE9804;
  }
